.overlay-menu{
    position: fixed;
    z-index: 40;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(4px);
    height: 100vh;
    width: 100%;
    display: none;
}

.overlay-menu.opened{
    display: block;
}

.header__menu{
    background-color: #10233a;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 100px 60px;
    z-index: 30;
}

.menu{
    position: relative;

    &__item{
        text-align: center;
        padding: 10px 0;

        &-link{
            color: $text;
            font-size: 24px;
            line-height: 28px;

            &:hover{
                color: $red;
            }
        }

        button{
            margin: 0 auto;
            margin-top: 40px;
        }
    }
}

.close{
    background-color: transparent;
    color: $text;
    position: absolute;
    top: 15px;
    right: 15px;

    svg{
        height: 23px;
        width: 23px;
    }
}